{ pkgs, ... }:

{
  programs.emacs = {
    enable = true;
    package = pkgs.emacs-nox;
    extraPackages = p: with p; [
      agda2-mode
      gruvbox-theme
    ];
    extraConfig = ''
      (load-theme 'gruvbox-dark-hard)
      (cua-mode)
    '';
  };
}
